%define class MIME
%define subclass Base64
%define version 2.12
%define release 2

# Derived values
%define real_name %{class}-%{subclass}
%define name perl-%{real_name}

Summary:        Perl module that implements a base64 encoder/decoder and a quoted-printable encoder/decoder.
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Group: 		Development/Libraries/Perl
License:        See documentation
Source: 	http://www.cpan.org/modules/by-module/%{class}/%{real_name}-%{version}.tar.gz
Url: 		http://www.cpan.org/modules/by-module/%{class}
Packager:       Michael McLagan <michael.mclagan@linux.org>
BuildRequires:	perl >= 5.6.1
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-buildroot/
Requires: 	perl >= 5.6.1

%description
This package contains a base64 encoder/decoder and a quoted-printable
encoder/decoder.  These encoding methods are specified in RFC 2045 -
MIME (Multipurpose Internet Mail Extensions).

%prep
%setup -q -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL
make OPTIMIZE="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
eval `%{__perl} '-V:installprivlib'`
eval `%{__perl} '-V:installsitearch'`
%makeinstall PREFIX=$RPM_BUILD_ROOT%{_prefix}

# Clean up some files we don't want/need
rm -rf `find $RPM_BUILD_ROOT -name "perllocal.pod"`
rm -rf `find $RPM_BUILD_ROOT -name ".packlist" -o -name "*.bs"`

# Remove all empty directories
for i in `find $RPM_BUILD_ROOT -type d | tac`; do
   if [ -d $i ]; then 
      rmdir --ign -p $i;
   fi
done

%clean
cd ..
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{real_name}-%{version}

%files
%defattr(-,root,root)
%doc Changes README
%{_prefix}

%changelog
* Fri Apr 19 2002 Michael McLagan <michael.mclagan@linux.org>
- Updated to perl 5.6.1
- Simplified spec file

* Sat Apr  7 2001 Horms <homrs@vergenet.net>
- Updated to 2.12

* Thu Dec 24 2000 Horms <horms@vergenet.net>
- changed package name and provide to perl-MIME-Base64 from MIME-Base64

* Mon Jan 10 2000 Horms <horms@vergenet.net>
- updated to work on Redhat 6.0/perl 5.005
- Inspired by perl packages built by alien

* Thu Apr 15 1999 Alex Vorobiev <sasha@mathforum.com>
- first build
